SoGLColorIndexElement(3)

NAME
SoGLColorIndexElement - The SoGLColorIndexElement class sets the current OpenGL color.

SYNOPSIS

#include <Inventor/elements/SoGLColorIndexElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)
int32_t getNum (void) const
int32_t get (const int index) const
Public Member Functions inherited from SoReplacedElement
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo () const
SbUniqueId getNodeId () const
virtual void print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)
void setDepth (const int depth)
int getDepth (void) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static SbBool isColorIndexMode (SoState *state)
static void set (SoState *const state, SoNode *const node, const int32_t numindices, const int32_t *const indices)
static const SoGLColorIndexElement * getInstance (SoState *state)
static int32_t getDefault (void)
Static Public Member Functions inherited from SoReplacedElement
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initClass (void)
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Member Functions
virtual ~SoGLColorIndexElement ()
Protected Member Functions inherited from SoReplacedElement
virtual ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
virtual void captureThis (SoState *state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const

  Additional Inherited Members
Static Protected Member Functions inherited from SoReplacedElement
static SoElement * getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Protected Attributes inherited from SoReplacedElement
SbUniqueId nodeId
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Detailed Description

The SoGLColorIndexElement class sets the current OpenGL color. This element is only used when the OpenGL canvas is in color index mode, i.e. where colors for individual pixels are fetched from a color lookup table ("CLUT"). The usual thing to do is to set up a canvas in RGBA true color mode.

One common use for color index mode OpenGL canvases is to use one in the overlay planes (which are usually limited to only 2 or 4 available colors), if supported by the OpenGL hardware and / or driver.

See also
    SoColorIndex

Constructor & Destructor Documentation

  SoGLColorIndexElement::~SoGLColorIndexElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLColorIndexElement::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLColorIndexElement::getClassStackIndex (void ) [static]
This static method returns the state stack index for the class.

  void * SoGLColorIndexElement::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLColorIndexElement::initClass (void ) [static]
Initialize relevant common data for all instances, like the type system.

  SbBool SoGLColorIndexElement::isColorIndexMode (SoState * state) [static]
Returns TRUE if the current GL context is in color index mode.

  void SoGLColorIndexElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoReplacedElement.

  void SoGLColorIndexElement::set (SoState *const state, SoNode *const node, const int32_t numindices, const int32_t *const indices) [static]
Sets current color indices.

  const SoGLColorIndexElement * SoGLColorIndexElement::getInstance (SoState * state) [static]
Returns the current element.

  int32_t SoGLColorIndexElement::getNum (void ) const
Returns number of color indices in element.

  int32_t SoGLColorIndexElement::get (const int index) const
Returns the index'th color index in element.

  int32_t SoGLColorIndexElement::getDefault (void ) [static]
Returns the default color index in element.

Author

Generated automatically by Doxygen for Coin from the source code.